Subject: Should titles really not be blank?

From: "James Holderness" <[email-masked]>
Date: Sun, 4 Dec 2005 23:08:46 -0000

In the Atom Syndication Format ID, section 4.1.1.1 advises that atom:entry 
elements contain a non-empty atom:title element [1]. But it never goes so 
far as to make this a MUST requirement or SHOULD suggestion.

However, the Atom Syndication Format Introduction at atomenabled.org quite 
specifically says that the title element should not be blank [2]. Is the 
latter a mistake? If so, can it be corrected? There are some people that are 
using this document as a definitive source for the Atom syndication format 
and, in my opinion, incorrectly assuming that title elements should not be 
blank.

Regards
James

[1] 
http://atomenabled.org/developers/syndication/atom-format-spec.php#rfc.section.4.1.1.1
[2] http://atomenabled.org/developers/syndication/#requiredEntryElements